Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85980 - Merlot with one CPU hangs with AS2.1 SMP kernel
Summary: Merlot with one CPU hangs with AS2.1 SMP kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 21:02 UTC by Larry Troan
Modified: 2016-04-18 09:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-04 15:26:45 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-03-11 21:02:26 UTC
On a merlot with AS2.1 installed, 1 cpu, bios A03, hyperthreading disabled, SMP
kernel hangs during boot after "Serverworks IDE channel 1" line.

UP kernel -> no hang
UP kernel w/ apic -> no hang
SMP kernel w/ noapic -> no hang
Hyperthreading enabled -> no hang 

Need to check other systems such as Jaguar and Discovery.
----------
Action by: ccooper
Issue Registered
----------
Action by: arjanv
I have no idea if we tested the SMP kernel on UP systems. It's certainly
possible that a bug snuck in, in this area. So why not just boot the UP kernel
as anaconda puts there as default with HT disabled

Status set to: Info

----------
Action by: ccooper
Reproduced w/ Milan beta 5, 2.4.18-11smp.


----------
Action by: mdomsch
Michael Brown to report back if factory has to have fix.


----------
Action by: ltroan
Larry Woodman says to escalate this to him....

Category set to: Kernel
Status set to: Waiting on Tech
Issue assigned to: lwoodman

----------
Action by: AutoCloser
There have been no updates to this issue in the past two weeks. It will be
closed in two more weeks if there are no further updates.

Please check to make sure that this issue is current and in the proper status.
If the issue is something which is on a longer timeline than a month, please
change the status to one of the long term selections to avoid this warning.
----------
Action by: jhull


Status set to: Waiting on Tech (Long Term)

----------
Action by: ltroan
Need an update on this....

issue tracker 5884 opened by dell as sev 2.

Comment 1 Arjan van de Ven 2003-03-11 21:05:01 UTC
so does 2.4.9-e.12 fix this?


Note You need to log in before you can comment on or make changes to this bug.